CmdMessenger 3.0 CmdMessenger is a serial port messaging library for the .Net / Mono Platform.

- Main Page
- Packages
- Classes

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Member Functions | Public Attributes | Properties
CommandMessenger.TransportLayer.Logger Class Reference

List of all members.

## Public Member Functions
| Logger (string logFileName)
bool | Open ()
bool | Open (string logFileName)
void | Close ()
void | Log (string logString)
void | LogLine (string logString)
## Public Attributes
readonly Encoding | StringEncoder = Encoding.GetEncoding("ISO-8859-1")
## Properties
bool | isEnabled`[get, set]`
bool | isOpen`[get, set]`
String | LogFileName`[get, set]`
| Gets or sets the log file name.

## Property Documentation

String CommandMessenger.TransportLayer.Logger.LogFileName`[get, set]`

Gets or sets the log file name.

The logfile name .

The documentation for this class was generated from the following file:

- D:/My Documents/Github/Arduino-Code-and-Libraries/Libraries/CmdMessenger/CSharp/CommandMessenger/TransportLayer/Logger.cs